Page MenuHomePhabricator

Phabricator UI uses deprecated <tt> tag
Closed, WontfixPublic

Description

The Phabricator UI renders views (including this one) using the HTML5 doctype, and renders words inside backticks using the <tt> tag. <tt> is deprecated and is not part of the HTML5 markup spec: https://www.w3.org/TR/html5/

Steps to repro:

  1. Inspect or view source on this page. (https://secure.phabricator.com/T10398)
  2. Find the doctype, and observe that it is <!DOCTYPE html>.
  3. Find the "<tt>" string surrounded by backticks in the above paragraph, and observe that the generated markup is <tt class="remarkup-monospaced">.

Suggested fix: render strings inside backticks as <code>foo</code> instead of <tt>foo</tt>.

Event Timeline

Does this cause any concrete problems in any user agent?

Not that I'm aware of today. (Caveat: I've only used Phabricator in desktop webkit-based browsers.)

chad added a subscriber: chad.Feb 19 2016, 9:57 PM

I'd be cool with moving to <code> semantically anyways, but imagine this is a bit harder since we'd have to invalidate all Remarkup cache?

Invalidating the cache is trivial, but I think <code> is used to style code blocks and has a bunch of different rules (e.g., block formatting) already associated with it.

If you want to do the legwork for this you can nuke the caches by bumping PhabricatorMarkupEngine->$version.

This doesn't seem worth changing to me until there's some actual problem, but I don't think changing it will do anything bad.

chad triaged this task as Wishlist priority.Feb 19 2016, 10:48 PM
chad moved this task from Backlog to Parser on the Remarkup board.Mar 27 2017, 3:52 PM
epriestley closed this task as Wontfix.Apr 4 2018, 2:11 PM
epriestley claimed this task.

Since there's no known actual problem with this today, I don't plan to fix it.